# AP2100
# Hides AP Detail comment field in grid and popup
###################################################################################################################################################
# Copyright 2018 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an "as is" basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################

from accpac import *

def main(args):
	MyUI()

class MyUI(UI):
	def __init__(self):
		UI.__init__(self)
		self.createScreen()

	def createScreen(self):
		# use Sage 300 File Customize to find name of grid control or Accpac UI Info
		grid = self.getHostControl("avlAPIBD")
		grid.showColumn("Comment", False)
		self.grid = grid
		self.onEvent("OnPopupOpened", self.onPopupOpened)
		self.onEvent("OnPopupClosed", self.onPopupClosed)
		self.show()
		
	def onPopupOpened(self, e):
	  # print the event parameters
		e = parseArgs(e)
		strPopupName1 = e["strPopupName"]
		# uncomment next line to get the name of the popup  you want to work with
		showMessageBox("Popup name: " + strPopupName1)
		if e["strPopupName"] != "frmDetail":
			return
		s = ""
		for k in e.keys():
			s = s + k + "=[" + e[k] + "], "
		self.getControlInfo("", self.onPopupControls) # This will list all controls on the form
		self.getHostControl("lblTitleAPIBDComment").hide() # this is the AP Comment detail label field
		self.getHostControl("txtAPIBDComment").hide() # this is the AP detail comment field

	def onPopupControls(self, info):
		s = ""
		for c in info.items:
			s = s + ", " + c.name
		# uncomment tp get a list of all the controls and find the one to hide	
		showMessageBox("onPopupControls" + s)

	def onPopupClosed(self, e):
		pass
